##############################################################################
## Runs the MCMC sampler with synthetic data sampled from a 10-dimensional
## Gaussian model with sparse covariance matrix.
##
## For further explanation of this example, see also the document
## 
## Silva, R. (2008) ``A Tutorial on dmgBayes: Bayesian Analysis for 
##                    Directed Mixed Graph Models''

synth.bidirected <- matrix(c(1,  2,
                             1,  3,
                             1,  4,
                             2,  3,
                             2,  4,
                             3,  4,
                             3,  5,
                             3,  8,
                             4,  5,
                             4,  8,
                             5,  6,
                             5,  7,
                             5,  8,
                             5,  10,
                             6,  7,
                             6, 10,
                             7,  8,
                             7,  9,
                             7, 10,
                             8,  9,
                             8, 10,
                             9, 10), nrow = 22, ncol = 2, byrow = TRUE)

synth.df = 10;

synth.vprior <- matrix(c(1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
                         0, 1, 0, 0, 0, 0, 0, 0, 0, 0,
                         0, 0, 1, 0, 0, 0, 0, 0, 0, 0,
                         0, 0, 0, 1, 0, 0, 0, 0, 0, 0,
                         0, 0, 0, 0, 1, 0, 0, 0, 0, 0,
                         0, 0, 0, 0, 0, 1, 0, 0, 0, 0,
                         0, 0, 0, 0, 0, 0, 1, 0, 0, 0,
                         0, 0, 0, 0, 0, 0, 0, 1, 0, 0,
                         0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
                         0, 0, 0, 0, 0, 0, 0, 0, 0, 1),
                         nrow = 10, ncol = 10)

mc.sample.size <- 1000
mc.options <- 2

synth.train <- read.table("synth.dat", header = T)
synth.var.names <- names(synth.train)

outm <- dmgbayes.gaussian.marginal.bidirected(synth.var.names, synth.bidirected, synth.train,
                synth.vprior, synth.df, mc.sample.size, mc.options)
cat("Marginal loglikelihood = ", outm[2], "\n")