\name{dmgbayes.gaussian.marginal.bidirected}
\alias{dmgbayes.gaussian.marginal.bidirected}
\title{Marginal log-likelihood of a zero-mean Gaussian models with 
marginal independence constraints}
\description{
   Returns the marginal log-likelihood of a zero-mean Gaussian model where the
   covariance matrix is constrained to have some zero covariance entries.
}
\usage{
dmgbayes.gaussian.marginal.bidirected(var.names, bidirected, train,
                                      prior.V, dmg.df, mc.num.samples, mc.options)
}
\arguments{
\item{var.names}{Array of string naming all variables}
\item{bidirected}{A m' x 2 array, m' being the total number of bi-directed edges.
               Each two-dimensional row (i, j) encodes a bi-directed
               edge connecting the ith and jth variables}
\item{train}{Data which we condition on when computing the posterior}
\item{prior.V}{A p x p matrix with the matrix parameter of the G-Inverse Wishart
               prior for the covariance matrix of the error terms}
\item{dmg.df}{Degrees of freedom of the same prior}
\item{mc.num.samples}{Total number of samples to be generated in the Markov chain}
\item{mc.options}{A numeric array contain miscellaneous options:
      mc.options[1] is a number between 1 and 4 indicating verbosity
      level of output messages returned to the R console}
}
\references{Silva, R. (2008). "dmgBayes: Software for Bayesian Inference in Mixed Graph Models and Structural Equation Models"}
\author{Ricardo Silva, Statistical Laboratory, University of Cambridge}
\keyword{ts}
\keyword{array}
\seealso{\code{\link{dmgbayes.gaussiansample}}}
