package rbas.dmg.app;

import org.rosuda.JRI.Rengine;
import org.rosuda.JRI.RConsoleOutputStream;

import java.util.logging.StreamHandler;
import java.util.logging.LogRecord;
import java.io.PrintStream;

/**
 * A handler for displaying information through a variety of sources, including the default system shell or
 * the R environment.
 */

public class ExtHandler extends StreamHandler {
    private Rengine rEngine;
    private PrintStream pS;

    public ExtHandler() {
        this.pS = System.out;
    }

    public ExtHandler(Rengine rEngine) {
        this.rEngine = rEngine;
        this.pS = new PrintStream(new RConsoleOutputStream(this.rEngine, 0));
    }

    public void publish(LogRecord record) {
        this.pS.println(record.getMessage());
    }
}
